Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.cometd
Class ChannelId

    java.lang.Object
      org.mortbay.cometd.ChannelId

    public class ChannelId

extends java.lang.Object

Field Summary
`static java.lang.String` | `WILD`
`static java.lang.String` | `WILDWILD`

Constructor Summary
`ChannelId(java.lang.String name)`

Method Summary
`int` | `depth()`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getSegment(int i)`
`int` | `hashCode()`
`boolean` | `isParentOf(ChannelId id)`
`boolean` | `isWild()`
`boolean` | `matches(ChannelId name)`
`boolean` | `matches(java.lang.String name)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### WILD

    public static final java.lang.String WILD

See Also:
  Constant Field Values

### WILDWILD

    public static final java.lang.String WILDWILD

See Also:
  Constant Field Values

Constructor Detail

### ChannelId

    public ChannelId(java.lang.String name)

Method Detail

### isWild

    public boolean isWild()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### matches

    public boolean matches(ChannelId name)

### matches

    public boolean matches(java.lang.String name)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### depth

    public int depth()

### isParentOf

    public boolean isParentOf(ChannelId id)

### getSegment

    public java.lang.String getSegment(int i)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.